connectorRequests
curl --request GET \
--url https://api.askparable.com/api/connector-requests/connector-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/connector-requests/connector-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/connector-requests/connector-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/connector-requests/connector-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"items": [
{
"connectorName": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "pending",
"updatedAt": "<string>",
"notes": "<string>",
"resolvedGroupingId": "<string>",
"resolvedVendorId": "<string>",
"resultConnectorId": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}connectorRequests
GET
/
api
/
connector-requests
/
connector-requests
connectorRequests
curl --request GET \
--url https://api.askparable.com/api/connector-requests/connector-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/connector-requests/connector-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/connector-requests/connector-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/connector-requests/connector-requests"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"items": [
{
"connectorName": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "pending",
"updatedAt": "<string>",
"notes": "<string>",
"resolvedGroupingId": "<string>",
"resolvedVendorId": "<string>",
"resultConnectorId": "<string>"
}
],
"limit": 123,
"offset": 123,
"total": 123
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Connector Request & Research Enumerations Enums for the connector request and research lifecycle (EDR-0013). Lifecycle status of a connector request (demand signal). Tracks the request from submission through resolution.
Available options:
pending, researching, research_complete, approved, rejected